Module java.desktop
Package javax.swing.plaf.basic

## Class BasicScrollPaneUI.HSBChangeListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollPaneUI.HSBChangeListener

- All Implemented Interfaces:
    `EventListener`, `ChangeListener`
  Enclosing class:
    BasicScrollPaneUI

      public class BasicScrollPaneUI.HSBChangeListener
      extends Object
      implements ChangeListener

  Horizontal scrollbar listener.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HSBChangeListener()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.ChangeListener

      `stateChanged`

- - ### Constructor Detail

    - #### HSBChangeListener

          public HSBChangeListener()